<?php

namespace app\admin\model;

use think\Model;
use traits\model\SoftDelete;

class Voterecord extends Model
{

    use SoftDelete;

    

    // 表名
    protected $table = 'vote_record';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = 'deletetime';

    // 追加属性
    protected $append = [

    ];
    

    







    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function player()
    {
        return $this->belongsTo('Voteplayer', 'player_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
